org.scalatest

# concurrent

#### package concurrent

Visibility

1. Public
2. All

### Type Members

1. #### class Conductor extends AnyRef

   Class that facilitates the testing of classes, traits, and libraries designed to be used by multiple threads concurrently.

2. #### trait ConductorFixture extends AnyRef

   Trait that can pass a new `Conductor` fixture into tests.

3. #### trait ConductorMethods extends AbstractSuite

   Trait that provides each test with access to a new `Conductor` via methods.

4. #### trait ConductorMultiFixture extends AnyRef

   Trait that can pass a new `Conductor` fixture into tests, for use in suites such as `MultipleFixtureFunSuite` or `MultipleFixtureSpec`, which facilitate writing tests that take different types of fixtures.